<mat-card-header class="header">
  <h2 mat-dialog-title class="title uppercase">Create a pod</h2>

  <div class="warning">
    <div class="text">Are you a pod dev? We may
      already have your app in our database. Reach out to our
      <a href="https://picnic.zone/devsupport" target="_blank" rel="noreferrer">Dev Support</a>
      for more info and to claim your pod!
    </div>
  </div>
</mat-card-header>

<mat-dialog-content>

  <div class="form-container">
    <form [formGroup]="form" (ngSubmit)="onSave()">

      <mat-form-field appearance="outline">
        <mat-label>Name</mat-label>
        <input matInput maxlength="{{ nameMaxLen }}" inputmode="name" placeholder="Type name" formControlName="name"  #nameInput>
        <mat-hint>Characters: {{ nameInput.value.length || 0 }}/{{ nameMaxLen }}</mat-hint>
        <mat-error *ngIf="form.controls['name'].errors?.['required']">Name is required</mat-error>
        <mat-error *ngIf="form.controls['name'].errors?.['minlength']">
          Please enter at least {{ nameMinLen }} characters
        </mat-error>
        <mat-error *ngIf="form.controls['name'].errors?.['maxlength']">
          Maximum allowed length is {{ nameMaxLen }} characters
        </mat-error>
      </mat-form-field>

      <div class="user-consent">
        <mat-checkbox (change)="onConsent(userConsentCheck.checked)" formControlName="userConsent" #userConsentCheck></mat-checkbox>
        <div class="subtext">By clicking Create, you agree to the
          Picnic Developer Terms of Service and Developer Policy.
        </div>
      </div>

    </form>
  </div>

</mat-dialog-content>

<mat-dialog-actions [align]="'end'">
  <button mat-button class="mat-raised-button" (click)="onClose()">Close</button>
  <button mat-button class="mat-raised-button mat-primary" (click)="onSave()"
          [disabled]="!form.valid || !userConsent">Save
  </button>
</mat-dialog-actions>
